Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 24830 - x11-themes/qtcurve (new ebuild)
Summary: x11-themes/qtcurve (new ebuild)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.kde-look.org/content/show....
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay, REVIEWED
Depends on:
Blocks:
 
Reported: 2003-07-19 14:25 UTC by Andreas Simon
Modified: 2007-06-22 14:03 UTC (History)
21 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for QtCurve (qtcurve-0.08.ebuild,1.04 KB, text/plain)
2003-07-19 14:26 UTC, Andreas Simon
Details
Ebuild for QtCurve-0.08 (qtcurve-0.08.ebuild,1.19 KB, text/plain)
2003-07-19 15:23 UTC, Andreas Simon
Details
qtcurve-0.17.1.ebuild (qtcurve-0.17.1.ebuild,1.18 KB, text/plain)
2004-02-24 13:33 UTC, Vaclav Slavik
Details
x11-themes/qtcurve-0.23.1.ebuild (qtcurve-0.23.1.ebuild,1.13 KB, text/plain)
2005-05-31 23:46 UTC, Kerin Millar
Details
x11-themes/qtcurve-0.23.1.ebuild (qtcurve-0.23.1.ebuild,1.15 KB, text/plain)
2005-06-01 00:21 UTC, Kerin Millar
Details
x11-themes/qtcurve-0.25 (ebuild) (qtcurve-0.25.ebuild,1.16 KB, text/plain)
2006-01-23 23:13 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.26 (ebuild) (qtcurve-0.26.ebuild,1.16 KB, text/plain)
2006-01-30 17:11 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.28 (ebuild) (qtcurve-0.28.ebuild,1.16 KB, text/plain)
2006-02-05 00:44 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.29 (ebuild) (qtcurve-0.29.ebuild,1.16 KB, text/plain)
2006-02-05 14:42 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.30 (ebuild) (qtcurve-0.30.ebuild,1.16 KB, text/plain)
2006-02-06 16:42 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.31.1 (ebuild) (qtcurve-0.31.1.ebuild,1.16 KB, text/plain)
2006-02-10 17:03 UTC, David Shakaryan (RETIRED)
Details
qtcurve-0.32 (qtcurve-0.32.ebuild,1.16 KB, application/octet-stream)
2006-02-12 14:21 UTC, Björn Ruberg
Details
x11-themes/qtcurve-0.32 (ebuild) (qtcurve-0.32.ebuild,1.18 KB, text/plain)
2006-02-13 17:06 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.33 (ebuild) (qtcurve-0.33.ebuild,1.18 KB, text/plain)
2006-02-23 17:34 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.34 (ebuild) (qtcurve-0.34.ebuild,1.18 KB, text/plain)
2006-03-08 17:38 UTC, David Shakaryan (RETIRED)
Details
x11-themes/qtcurve-0.35 (ebuild) (QtCurve-0.35.1.ebuild,1.50 KB, text/plain)
2006-04-22 08:52 UTC, Anonymous bin ich
Details
x11-themes/qtcurve-0.35.1 (ebuild) (qtcurve-0.35.1.ebuild,678 bytes, text/plain)
2006-05-29 16:05 UTC, David Shakaryan (RETIRED)
Details
x11-themes/QtCurve-3.8 (ebuild) (QtCurve-0.38.ebuild,1.52 KB, text/plain)
2006-06-16 00:59 UTC, Florian Blatt
Details
x11-themes/qtcurve-0.38 (qtcurve-0.38.ebuild,714 bytes, text/plain)
2006-06-17 01:42 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.40(ebuild) (qtcurve-0.40.ebuild,720 bytes, text/plain)
2006-08-01 15:38 UTC, industrie13
Details
qtcurve-0.41.1.ebuild (qtcurve-0.41.1.ebuild,1.29 KB, text/plain)
2006-08-09 15:07 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.41.1.ebuild (qtcurve-0.41.1.ebuild,1.46 KB, text/plain)
2006-08-12 04:49 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.42.2.ebuild (qtcurve-0.42.2.ebuild,1.79 KB, text/plain)
2006-09-01 08:11 UTC, Ben de Groot (RETIRED)
Details
qtcurve-0.42.2.ebuild (qtcurve-0.42.2.ebuild,1.51 KB, text/plain)
2006-09-01 08:24 UTC, Stefan Schweizer (RETIRED)
Details
x11-themes/qtcurve-0.42.3.ebuild (qtcurve-0.42.3.ebuild,1.79 KB, text/plain)
2006-09-10 18:49 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.43.2.ebuild (qtcurve-0.43.2.ebuild,1.57 KB, text/plain)
2006-10-02 03:27 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.44.ebuild (qtcurve-0.44.ebuild,1.57 KB, text/plain)
2006-10-10 10:23 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.44.2.ebuild (qtcurve-0.44.2.ebuild,1.57 KB, text/plain)
2006-10-18 03:24 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-0.44.3.ebuild (qtcurve-0.44.3.ebuild,1.57 KB, text/plain)
2006-10-20 06:26 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-gtk2-0.46.4.ebuild (qtcurve-gtk2-0.46.4.ebuild,699 bytes, text/plain)
2007-03-05 17:00 UTC, Ben de Groot (RETIRED)
Details
x11-themes/qtcurve-kde-0.46.4.ebuild (qtcurve-kde-0.46.4.ebuild,615 bytes, text/plain)
2007-03-05 17:01 UTC, Ben de Groot (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Simon 2003-07-19 14:25:17 UTC
Here is a ebuild for x11-themes/qtcurve
This is a set of widget styles for KDE, GTK1, and GTK2 based apps. The
underlying code is based upon Blue/FreeCurve - however, *extensive*
modifications have been made.
Comment 1 Andreas Simon 2003-07-19 14:26:01 UTC
Created attachment 14716 [details]
Ebuild for QtCurve

Adding the ebuild.
Comment 2 Andreas Simon 2003-07-19 15:23:46 UTC
Created attachment 14717 [details]
Ebuild for QtCurve-0.08

Oops, had to upload a new version. This new ebuild actually respects the USE
flags.
Comment 3 Andreas Simon 2003-08-12 14:42:51 UTC
The ebuild still works for the current version 0.10.
Comment 4 Vaclav Slavik 2004-02-24 13:33:27 UTC
Created attachment 26279 [details]
qtcurve-0.17.1.ebuild

Upgraded to latest upstream version (and changed deps to >=kde-3.2 and >=qt-3.3
since the sources must be patches to compile with older Qt)
Comment 5 Kerin Millar 2005-05-31 23:45:40 UTC
Nice theme ... here's a bump for the latest version. The ebuild has been
significantly cleaned up. The most important change is that the kde-functions
eclass is used to determine (and pass on to configure) the directory of QT. This
prevents sandbox violations from occurring. Furthemore, I spend a limited amount
of time on it and could not work out how to make it refrain from building the
KDE/QT theme. To make matters worse it has an optional dependency on arts -
unless --without-arts is supplied then it will fail when building on a system
does not have it. So, for now, I just changed it so that the KDE theme is
mandatory and have added an arts USE flag. Also, it depends on >=gtk+-1.2.9 (for
USE="gtk") so that's been expressed. Not sure about RDEPEND though?
Comment 6 Kerin Millar 2005-05-31 23:46:36 UTC
Created attachment 60338 [details]
x11-themes/qtcurve-0.23.1.ebuild
Comment 7 Kerin Millar 2005-06-01 00:21:50 UTC
Created attachment 60341 [details]
x11-themes/qtcurve-0.23.1.ebuild

Hmm, probably a sane idea to make use of `cd ${S}`.
Comment 8 David Shakaryan (RETIRED) gentoo-dev 2006-01-23 23:13:52 UTC
Created attachment 77971 [details]
x11-themes/qtcurve-0.25 (ebuild)

Upgraded version from 0.23.1 to 0.25

Added ~amd64 to keywords because I tested it on an amd64 install and it works fine.
Comment 9 David Shakaryan (RETIRED) gentoo-dev 2006-01-30 17:11:05 UTC
Created attachment 78534 [details]
x11-themes/qtcurve-0.26 (ebuild)
Comment 10 David Shakaryan (RETIRED) gentoo-dev 2006-01-30 17:11:53 UTC
Comment on attachment 78534 [details]
x11-themes/qtcurve-0.26 (ebuild)

Version bump.
Comment 11 Aaron 2006-02-04 11:33:49 UTC
0.28 is out.
Comment 12 David Shakaryan (RETIRED) gentoo-dev 2006-02-05 00:44:19 UTC
Created attachment 78921 [details]
x11-themes/qtcurve-0.28 (ebuild)

Version bump.
Comment 13 David Shakaryan (RETIRED) gentoo-dev 2006-02-05 14:42:43 UTC
Created attachment 78978 [details]
x11-themes/qtcurve-0.29 (ebuild)

Version bump.
Comment 14 David Shakaryan (RETIRED) gentoo-dev 2006-02-06 16:42:27 UTC
Created attachment 79078 [details]
x11-themes/qtcurve-0.30 (ebuild)

Version bump.
Comment 15 David Shakaryan (RETIRED) gentoo-dev 2006-02-10 17:03:37 UTC
Created attachment 79477 [details]
x11-themes/qtcurve-0.31.1 (ebuild)

Version bump.
Comment 16 Björn Ruberg 2006-02-12 14:21:18 UTC
Created attachment 79610 [details]
qtcurve-0.32

version bump
Comment 17 David Shakaryan (RETIRED) gentoo-dev 2006-02-13 17:06:15 UTC
Created attachment 79732 [details]
x11-themes/qtcurve-0.32 (ebuild)

RESTRICT="nomirror" added to ebuild. :)

This makes it automatically download from the URL in the ebuild rather than looking for it on the Gentoo mirrors first.
Comment 18 Gleb Litvjak 2006-02-23 09:10:48 UTC
QtCurve 0.33 has been released. Just renaming the 0.32 ebuild works for me (~amd64)
Comment 19 David Shakaryan (RETIRED) gentoo-dev 2006-02-23 17:34:45 UTC
Created attachment 80568 [details]
x11-themes/qtcurve-0.33 (ebuild)

Version bump.

(For some reason I didn't get an e-mail about the new release.)
Comment 20 Gleb Litvjak 2006-03-08 06:38:22 UTC
0.34 is released. Renaming the 0.33 ebuild worked fine for me (~amd64).
Comment 21 David Shakaryan (RETIRED) gentoo-dev 2006-03-08 17:38:57 UTC
Created attachment 81738 [details]
x11-themes/qtcurve-0.34 (ebuild)

Version bump.

I no longer have Qt so I won't be updating this ebuild anymore since I can't test it, although I might start again later. If you notice that renaming the ebuild works, then just upload the renamed one.
Comment 22 Anonymous bin ich 2006-04-22 08:52:03 UTC
Created attachment 85191 [details]
x11-themes/qtcurve-0.35 (ebuild)
Comment 23 Anonymous bin ich 2006-04-22 08:55:54 UTC
Comment on attachment 85191 [details]
x11-themes/qtcurve-0.35 (ebuild)

So many typos :(

Version bump
Comment 24 lothalev 2006-05-27 13:19:36 UTC
As qtcurve provides consistent look of apps, no matter which toolkit is being used, what do you think about including it as a dependency of the toolkit itself?

QtCurve ebuild could be split into qtcurve-qt, qtcurve-gtk1 and qtcurve-gtk

Installing one of the toolkit would install the theme itself and set it as a default for the toolkit. No matter which applications the user installs (gtk1, gtk2, gnome, qt, kde), they would simply look the same. It is an easy way to avoid the WindowsMess (TM), where each third-party (or even included applications, like media player) looks and works in a different way...
Comment 25 Anonymous bin ich 2006-05-29 01:46:39 UTC
Well, I sold my computer and I don't think I will be able to work on this ebuild anymore. Interested people may do version bumps.

PS: the 0.34 Ebuild was better. though it needed some corrections. A better ebuild will incorporate the 0.34 ebuild with the corrections I made and discard the mistakes I did.

Good bye Gentoo. It was a joy ride.
Comment 26 David Shakaryan (RETIRED) gentoo-dev 2006-05-29 03:02:41 UTC
I agree on the 0.35 ebuild being nowhere near as good as the previous ones. I'll get back to maintaing the ebuild I guess. I'll try to clean it up as much as possible before bumping the version.
Comment 27 Anonymous bin ich 2006-05-29 03:09:40 UTC
Yeah. I just did a version bump of the ebulid thats around on kde-look.org

Anyway, I will update the kde-look.org page too to link here for the ebuild.
Comment 28 David Shakaryan (RETIRED) gentoo-dev 2006-05-29 16:05:07 UTC
Created attachment 87837 [details]
x11-themes/qtcurve-0.35.1 (ebuild)

Version bump. I have done some major cleaning up to the original 0.34 ebuild:

- Changed the SRC_URI to correspond to the one the QtCurve site
- No longer uses deprecated stuff such as set-qtdir from the kde-functions eclass
- Uses need-kde of kde-functions rather than the long list of dependancies
- Added COPYING to the dodoc function
- Uses $MY_P for QtCurve rather than qtcurve
- No longer has gtk and gtk2 USE flags. In my opinion, hacking the Makefile to omit things from being compiled is a hack and should not be done.
- Probably a few more things I am forgetting.

Enjoy. I tested it out here and it worked fine so I assume I didn't break anything.
Comment 29 Marc Schaubach 2006-05-29 17:08:57 UTC
qtcurve-0.35.1 compiled perfectly on my AMD64.. Thanks!
Comment 30 Ben de Groot (RETIRED) gentoo-dev 2006-06-04 11:22:43 UTC
Why, after almost 3 years, is this still not in portage? This is a great cross-toolkit theme and should definitely be in portage!
Comment 31 Florian Blatt 2006-06-16 00:59:36 UTC
Created attachment 89286 [details]
x11-themes/QtCurve-3.8 (ebuild)

This is an ebuild for the newest version of QtCurve. And it should really be added to portage.
Comment 32 David Shakaryan (RETIRED) gentoo-dev 2006-06-16 11:36:48 UTC
Can you guys please stop submitting the ebuild Florian just submitted? First of all, a package should be all lowercase unless you have a really good reason for it not to be. Second of all, the quality is nowhere near as good as the one I submitted. Last but not least, I'm rather confident that there is no 3.8 release.

Thank you. I'll bump the ebuild to 0.36 and do some minor code cleanup when I get home. I will also commit to Project Sunrise.

On another note, apparently the QtCurve page on KDE-Look.org went down. Maybe this is the end of QtCurve development? Anyways, a last 0.36 was released before that happened so I'll update the ebuild. I'll also mirror the QtCurve tarball in case the official tarball goes down just like the page on KDE-Look.
Comment 33 Aaron 2006-06-16 14:28:45 UTC
3.8 is actually a typo, and it is supposed to be 0.38

localhost ~ # emerge -pv QtCurve

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-themes/QtCurve-0.38  USE="arts -debug -xinerama" 0 kB [1]

Total size of downloads: 0 kB
Portage overlays:
 [1] /usr/local/portage
localhost ~ #
Comment 34 David Shakaryan (RETIRED) gentoo-dev 2006-06-16 16:02:38 UTC
Hmm.. I see. Does QtCurve have a page with lists of updates and such, or do we just have to keep guessing version numbers until we find the newest?
Comment 35 Aaron 2006-06-16 17:15:26 UTC
Yes

The old is link is outdated, and it won't let me change it.

This is the new link
http://www.kde-look.org/content/show.php?content=40492
Comment 36 Ben de Groot (RETIRED) gentoo-dev 2006-06-16 18:12:39 UTC
(In reply to comment #34)
> Hmm.. I see. Does QtCurve have a page with lists of updates and such, or do we
> just have to keep guessing version numbers until we find the newest? 

It seems kde-look.org had a server crash. That's why the original page disappeared. The page linked in comment #35 is the current one. 

Can someone prod a dev to get an official opinion on this package? I see no reason why this should not be added to portage ASAP!
Comment 37 Ben de Groot (RETIRED) gentoo-dev 2006-06-17 01:42:12 UTC
Created attachment 89367 [details]
x11-themes/qtcurve-0.38

I merged David's ebuild for 0.35.1 with what I had and bumped the version to 0.38. This works fine for me on ~x86 with gcc-4.1.1 and KDE 3.5.3.
Comment 38 Stefan Schweizer (RETIRED) gentoo-dev 2006-06-17 02:59:05 UTC
(In reply to comment #36)
> Can someone prod a dev to get an official opinion on this package? I see no
> reason why this should not be added to portage ASAP!

The reason is simple: no developer wants to maintain it in the tree. I have added it to the sunrise overlay though so you all can have easy access to it:
http://gentoo-sunrise.org/cgi-bin/trac.cgi/browser/sunrise/x11-themes/qtcurve

what I changed from the previous ebuild:
- inherit kde -> kde provides default src_compile and IUSE
- KEYWORDS -> dont add "-*" here unless you are sure it does not work on any other architecture
- IUSE is set by the kde.eclass
- do not RESTRICT="nomirror" if there is no reason for it. Also no reason to have ${RESTRICT} here
- remove superfluous S= quoting, assignments do not need quoting
- src_compile is provided by kde.eclass
- src_install: use emake install instead of make install to allow parallel installs
- dodoc: Do not dodoc COPYRIGHT, we already have the licenses in /usr/portage/licenses
Comment 39 Ben de Groot (RETIRED) gentoo-dev 2006-06-17 03:25:22 UTC
(In reply to comment #38)
> The reason is simple: no developer wants to maintain it in the tree. 

I find that quite ridiculous, to be honest. This hardly needs maintenance (version bumps mostly) but is very useful for desktop users. Can I become a dev? Then I'll do it myself.

> I have
> added it to the sunrise overlay though so you all can have easy access to it:
> http://gentoo-sunrise.org/cgi-bin/trac.cgi/browser/sunrise/x11-themes/qtcurve

Thanks for that!

> - KEYWORDS -> dont add "-*" here unless you are sure it does not work on any
> other architecture

I did that to make it easier to add the package to package.keywords. I had a problem with another overlay for another package and had to keyword ~amd64 (on a ~x86 system) or edit the ebuild.

> - do not RESTRICT="nomirror" if there is no reason for it. Also no reason to
> have ${RESTRICT} here

I do that to prevent uselessly checking the distfiles mirrors.


Comment 40 Stefan Schweizer (RETIRED) gentoo-dev 2006-06-17 03:38:39 UTC
(In reply to comment #39)
> I find that quite ridiculous, to be honest. This hardly needs maintenance
> (version bumps mostly) but is very useful for desktop users. Can I become a
> dev? Then I'll do it myself.
Well, it can still generate bugs, and version bumps are also work. Also you cannot get anyone into maintaining something he does not really want to maintain.

That is why I have founded the Sunrise Project where such ebuilds can be put. And yes, you can become a developer but I would suggest you to write a few ebuilds and learn ebuild writing better so that you can pass the ebuild quiz. We can continue this discussion in #gentoo-sunrise @ freenode if you are interested.

> > - KEYWORDS -> dont add "-*" here unless you are sure it does not work on any
> > other architecture
> 
> I did that to make it easier to add the package to package.keywords. I had a
> problem with another overlay for another package and had to keyword ~amd64 (on
> a ~x86 system) or edit the ebuild.
You can echo "cat/pkg ~x86" >> /etc/portage/package.keywords and it will be correctly unmasked. Please do not do anything that is logically wrong in ebuilds.


> > - do not RESTRICT="nomirror" if there is no reason for it. Also no reason to
> > have ${RESTRICT} here
> 
> I do that to prevent uselessly checking the distfiles mirrors.

RESTRICT="mirror" also kills local mirrors like in big companies. Again: Please do not do anything logically wrong - it does not need to be mirror-restricted, so please do not RESTRICT it.

btw, RESTRICT="mirror" is preferred to nomirror when it is really needed, since it is logically correct to put it that way.
Comment 41 Ben de Groot (RETIRED) gentoo-dev 2006-06-17 04:00:17 UTC
(In reply to comment #40)
> That is why I have founded the Sunrise Project where such ebuilds can be put.
> And yes, you can become a developer but I would suggest you to write a few
> ebuilds and learn ebuild writing better so that you can pass the ebuild quiz.
> We can continue this discussion in #gentoo-sunrise @ freenode if you are
> interested.

I'll take you up on that later. Looks like the Sunrise project is just right for me.

> > > - KEYWORDS -> dont add "-*" here unless you are sure it does not work on any
> > > other architecture
> > 
> > I did that to make it easier to add the package to package.keywords. I had a
> > problem with another overlay for another package and had to keyword ~amd64 (on
> > a ~x86 system) or edit the ebuild.
> You can echo "cat/pkg ~x86" >> /etc/portage/package.keywords and it will be
> correctly unmasked. Please do not do anything that is logically wrong in
> ebuilds.

Let's say I have a ppc system. I can put "x11-themes/qtcurve ~ppc" in package.keywords but that won't work because the ebuild doesn't have that keyword. I also can't get it to work with "x11-themes/qtcurve -*" as the ebuild doesn't have that either. So I either need to use the ~x86 keyword on my ppc system or edit the ebuild... I don't see the logic in that. But if that's the way portage is supposed to work...
Comment 42 Leszek 2006-06-25 06:19:30 UTC
qtcurve is still present in sunrise, why did someone remove the InOverlay keyword ?
Comment 43 David Shakaryan (RETIRED) gentoo-dev 2006-06-25 11:41:52 UTC
(In reply to comment #42)
> qtcurve is still present in sunrise, why did someone remove the InOverlay
> keyword ?
> 

Sunrise is now completely unofficial, meaning it does not cooperate with Gentoo's bug tracker anymore. This means that the InOverlay keyword should not be used for Sunrise since InOverlay is only for official Gentoo overlays.

Hope that clears the confusion up. ;)
Comment 44 industrie13 2006-08-01 15:38:35 UTC
Created attachment 93229 [details]
x11-themes/qtcurve-0.40(ebuild)
Comment 45 unlord 2006-08-09 07:46:12 UTC
As of qtcurve-0.40.ebuild, it is not possible to install just the Qt style from qtcurve without having the entire KDE environment installed.

http://forums.gentoo.org/viewtopic-t-438764.html

Is it possible to install just the Qt style using the upstream QtCurve?  I don't want to have kdelibs installed just so I can compile and install a widget style.
Comment 46 Ben de Groot (RETIRED) gentoo-dev 2006-08-09 15:07:17 UTC
Created attachment 93870 [details]
qtcurve-0.41.1.ebuild

Version bump. QtCurve is now separated into 3 packages (KDE, GTK1 and GTK2). I have kept this as one ebuild, but with useflags for the various toolkits. The ebuild can probably be improved, but it works for me.
Comment 47 Ben de Groot (RETIRED) gentoo-dev 2006-08-12 04:49:43 UTC
Created attachment 94042 [details]
x11-themes/qtcurve-0.41.1.ebuild

Improved ebuild. 

Can someone test this who doesn't have KDE installed, as I'm not sure it will build correctly with USE=-kde?
Comment 48 unlord 2006-08-14 09:09:33 UTC
I just tested 0.41.1 with USE=-kde and it seemed to compile and install just fine.  I could not however test the theme itself since it doesn't look like it puts an entry in the Desktop -> Preferences -> Theme list.
Comment 49 Stefan Schweizer (RETIRED) gentoo-dev 2006-08-14 13:21:31 UTC
I added your new ebuild to sunrise with some changes - WORKSFORME

http://www.gentoo-sunrise.org/svn/reviewed/x11-themes/qtcurve/qtcurve-0.41.1.ebuild
Comment 50 Thomas Fischer 2006-08-15 00:14:14 UTC
(In reply to comment #49)
> I added your new ebuild to sunrise with some changes - WORKSFORME

I just noticed that this ebuild does not honor the -arts use flag:

configure: error: The important program mcopidl was not found!
Please check whether you installed aRts correctly or use
--without-arts to compile without aRts support (this will remove functionality).

Therefore, I'd like to suggest the following change: Split the qtcurve ebuild into a meta package that pulls (depends on) qtcurve-gtk2 and qtcurve-kde3. Each of the separate ebuilds will be much simpler than the monolithic and can be more specific. E.g. qtcurve-kde3 can by inheriting kde configure the sources to not use arts.
I use a working example locally and can post the ebuilds in case your're interested.
Comment 51 Stefan Schweizer (RETIRED) gentoo-dev 2006-08-15 01:00:47 UTC
no, I think a single ebuild is much more convenient than 3 and one extra to pull them all.

Since arts is not being used in this theme I added --qithout-arts to the ebuild. It does not remove functionality in this case.
Comment 52 BakaOhKi 2006-08-19 04:10:44 UTC
I tested the new ebuild, but I have some annoying problems:
upon starting a gtk app I get this message:
-:1: error: unexpected character `,', expected character `}'
-:1: error: unexpected character `,', expected character `}'

and all the icons are from kde crystal, no matter what I set in kcontrol (well, I just want plain gnome icons, but no luck). Disabling the theme brings back the icons.
Comment 53 BakaOhKi 2006-08-20 01:58:39 UTC
the 
-:1: error: unexpected character `,', expected character `}'
error message is caused by the lighter menu background (can be set in kconfig), the kde icons galore is "feature"; apart from these annoyances the theme works okay. 
Small problem which is floating around for quite a time: dropdown lists randomly loose their arrow in openoffice.
Comment 54 Ben de Groot (RETIRED) gentoo-dev 2006-09-01 08:11:18 UTC
Created attachment 95648 [details]
x11-themes/qtcurve-0.42.2.ebuild

Version bump. Have fun ;)
Comment 55 Stefan Schweizer (RETIRED) gentoo-dev 2006-09-01 08:24:51 UTC
Created attachment 95649 [details]
qtcurve-0.42.2.ebuild

thanks, improved verson attached and in sunrise
Comment 56 George Shapovalov (RETIRED) gentoo-dev 2006-09-09 13:24:44 UTC
One remark on the ebuild:
SRC_URI cannot contain any useflags, only "arch?" conditionals are allowed.
The reason - portage wants static SRC_URI constructs, otherwise cache (and metadata) get broken (they are generated server-side). This will work in an overlay, but if it ever be put into official tree those conditionals should go away..

George
Comment 57 Stefan Schweizer (RETIRED) gentoo-dev 2006-09-09 13:53:46 UTC
(In reply to comment #56)
> One remark on the ebuild:
> SRC_URI cannot contain any useflags, only "arch?" conditionals are allowed.
> The reason - portage wants static SRC_URI constructs, otherwise cache (and
> metadata) get broken (they are generated server-side). This will work in an
> overlay, but if it ever be put into official tree those conditionals should go
> away..

sorry, this is obviously wrong. Conditionals are also cached in the metadata cache and use-conditional SRC_URIs are common all over the tree. See for example
 grep http /usr/portage/metadata/cache/sys-libs/pam-0.78-r5
Comment 58 Ben de Groot (RETIRED) gentoo-dev 2006-09-10 18:49:07 UTC
Created attachment 96639 [details]
x11-themes/qtcurve-0.42.3.ebuild

Version bump.
Comment 59 Stefan Schweizer (RETIRED) gentoo-dev 2006-09-11 02:51:47 UTC
the gtk2 useflag is deprecated, that is why I changed the ebuild in sunrise to use gtk and gtk1. Bumped in sunrise too, thanks :)
Comment 60 Ben de Groot (RETIRED) gentoo-dev 2006-09-11 09:11:12 UTC
(In reply to comment #59)
> the gtk2 useflag is deprecated

I missed that. Do you have a link that explains/announces that?

Comment 61 Stefan Schweizer (RETIRED) gentoo-dev 2006-09-11 09:17:47 UTC
have a look at bug 106560 - we are currently working on phasing it out
Comment 62 yann LE HIR 2006-09-19 09:10:04 UTC
I get a 404 when I try to install QtCurve-0.42.3

>>> Emerging (1 of 1) x11-themes/QtCurve-0.42.3 to /
>>> Downloading 'http://home.freeuk.com/cpdrummond/QtCurve-0.42.3.tar.gz'
--18:07:45--  http://home.freeuk.com/cpdrummond/QtCurve-0.42.3.tar.gz
           => `/usr/portage/distfiles/QtCurve-0.42.3.tar.gz'
R
Comment 63 yann LE HIR 2006-09-19 09:10:04 UTC
I get a 404 when I try to install QtCurve-0.42.3

>>> Emerging (1 of 1) x11-themes/QtCurve-0.42.3 to /
>>> Downloading 'http://home.freeuk.com/cpdrummond/QtCurve-0.42.3.tar.gz'
--18:07:45--  http://home.freeuk.com/cpdrummond/QtCurve-0.42.3.tar.gz
           => `/usr/portage/distfiles/QtCurve-0.42.3.tar.gz'
Résolution de home.freeuk.com... 212.126.144.55
Connexion vers home.freeuk.com|212.126.144.55|:80...connecté.
requête HTTP transmise, en attente de la réponse...404 Not Found
18:07:45 ERREUR 404: Not Found.

I tried with 0.42.2, didn't work either
Comment 64 Ben de Groot (RETIRED) gentoo-dev 2006-09-19 20:48:38 UTC
(In reply to comment #62)

You are apparently not using the right ebuild.
Comment 65 Ben de Groot (RETIRED) gentoo-dev 2006-10-02 03:27:53 UTC
Created attachment 98589 [details]
x11-themes/qtcurve-0.43.2.ebuild

Another version bump, with bug fixes and new features.
Comment 66 Ben de Groot (RETIRED) gentoo-dev 2006-10-10 10:23:48 UTC
Created attachment 99303 [details]
x11-themes/qtcurve-0.44.ebuild

Version bump.

Changelog:
0.44
====

Both
----
1. Specifiable colours for check and radio indicators.
2. Options to control whether menu items should be rounded.
3. Options to control whether menu items should be bordered.
4. Option to enable mouse-over for menubar items.
5. Option to have thinner menu items.
6. More pronounced gradients for menuitems and progressbars.
7. Option to use large dots.
8. Option to set scrollbar button type: kde, windows, platinum, next, or none.


KDE Only
--------
1. Slightly better radios in khtml.
2. Slightly smaller buttons.
3. Option to have colored side-bar buttons - e.g. the buttons on the edge of kate's windows.
4. Improvement to Opera's MDI buttons in menubar area. Not perfect, but better.
5. Draw menubar item pixmaps - e.g. page icon in opera.
6. Possible fix for pixmap recolouring on big endian systems.


Gtk Only
--------
1. Fix popup menu borders when not using lighter background.
2. Fix OO.o drawing bugs.
3. Fix GIMP 2.3 notebook crash.
Comment 67 Ben de Groot (RETIRED) gentoo-dev 2006-10-18 03:24:31 UTC
Created attachment 99931 [details]
x11-themes/qtcurve-0.44.2.ebuild

Version bump to 0.44.2

Changelog:

0.44.2
======

Both
----
1. Restore 0.43 scrollbar trough shade.

KDE Only
------
1. Fix slight redraw errors when no scrollbar buttons.
2. Fix redraw problems with pathbar.

0.44.1
======

KDE Only
--------
1. Fix errors when drawing status bar frames.
2. If using lighter popup menu backgrounds, correctly adjust to palette changes.
3. When exporting the current or default style, prompt user for style name.

Gtk Only
--------
1. Fix appearance of filled sliders.
2. Improve right-to-left support.
3. Fix OO.o crash - disable it from using scrollbar styles next and none
4. Fix missing frames when not rounded.
5. Disable toolbar handle mouse-over, not working very well.
6. Fix weird looking eclipse toolbars.
Comment 68 Ben de Groot (RETIRED) gentoo-dev 2006-10-20 06:26:46 UTC
Created attachment 100085 [details]
x11-themes/qtcurve-0.44.3.ebuild

Version bump

Changelog:
0.44.3
======

Both
----
1. Dont colour sliders when disabled/maxed-out.
2. When drawing light slider border, draw around
all 4 sides.

KDE Only
--------
1. Fix gambas toolbar.
2. Use Qt\'s qconfig.h to determine endianess.
3. Slight code clean-up.

Gtk Only
--------
1. Fix Firefox 2.x toolbar buttons.
2. Evolution fix - thanks to Thomas Siegmund
Comment 69 Joel Cunningham 2006-12-04 13:06:47 UTC
I did a version bump on the 0.44.3 ebuild for the 0.46 release.  Everything compiled ok...I am guessing the ebuild is correct for this version, can someone else verify it?
Comment 70 Gleb Litvjak 2006-12-04 13:10:25 UTC
The renamed ebuild (0.46) works fine for me (~amd64).
Comment 71 Ben de Groot (RETIRED) gentoo-dev 2007-02-03 00:26:20 UTC
Ebuild for 0.46.4 is available in the GFN-overlay. See http://gfn-overlay.sourceforge.net/
Comment 72 Steve Dibb (RETIRED) gentoo-dev 2007-03-05 15:35:27 UTC
Added to CVS
Comment 73 Steve Dibb (RETIRED) gentoo-dev 2007-03-05 15:57:34 UTC
(In reply to comment #72)
> Added to CVS
> 

or not, going to split it up into two ebuilds
Comment 74 Ben de Groot (RETIRED) gentoo-dev 2007-03-05 17:00:16 UTC
Created attachment 112184 [details]
x11-themes/qtcurve-gtk2-0.46.4.ebuild

split ebuild for qtcurve-gtk2
Comment 75 Ben de Groot (RETIRED) gentoo-dev 2007-03-05 17:01:07 UTC
Created attachment 112185 [details]
x11-themes/qtcurve-kde-0.46.4.ebuild

split ebuild for qtcurve-kde
Comment 76 Steve Dibb (RETIRED) gentoo-dev 2007-03-06 20:00:39 UTC
Committed to CVS as two ebuild: gtk-engines-qtcurve, qtcurve
Comment 77 boris64 2007-06-21 14:25:58 UTC
Is anybody still maintaining this ebuild?
-> https://bugs.gentoo.org/show_bug.cgi?id=180112
What about that qtcurve-qt4 version?
Comment 78 Ben de Groot (RETIRED) gentoo-dev 2007-06-22 14:03:13 UTC
Yes, I am maintaining these ebuilds, including qtcurve-qt4 now, in berkano overlay. ( see http://tinyurl.com/yurgo6 ). Once I'll be finished with the quizzes and become a dev, I'll maintain them in the portage tree.